Subject: [MBONED] Interdomain/AS Multicast for CDN

From: "SAYKO, ROBERT J" <[email-masked]>
Date: Wed, 4 Apr 2012 12:52:30 +0000

All,

As we didn't have time to complete our agenda on last Thursday I didn't have the opportunity to raise this topic.

(As I am very new to IETF please excuse me if I am not following correct protocol or process in the following)

I would like to propose that mboned initiate work on a draft for Inter-domain/AS CDN Multicast.  I have already spoken with one of our chairs,  Greg Shepherd, on this and he indicated that he would support the WG taking it on.

I am aware that CDNi is doing a lot of interdomain CDN work,  but they are not addressing multicast and per their chairs do not want to take on multicast at this time (or from what I gather in the near future).    I have recently completed work on the ATIS interdomain MC specification and would like to take that work as a starting point to go even further by creating a RFC through IETF.

If mboned takes on this challenge I think our scope will be slightly different then if CDNi were to do it,  but that is fine and it would not be demonstratively different I think.   Since I think interdomain CDN MC is almost a niche I think it would actually be easier to do then the caching based approach CDNi seems to be concentrating on.

Interdomain CDNi is also likely to be more quickly and incorporated by some large operators then cache based.  There are a number of reasons for this:  many operators have MC ready or operating backbones,  it is a quick starter,  MC ready content is rapidly growing,  less investment then cache,  best solution for flash crowds.  Also,  large operators have within their ownership several AS's with separate CDNs in some cases and see MC as an extremely significant cost saving technology.

Hopefully,  the WG will favorably consider taking this on.  I would be happy to be lead author,  but would of course like as much help as possible.  Please give me your comments and questions.

Regards,
Bob Sayko